from src.common.registry import Registrable
from src.settings.datasets import DatasetType


class DatasetRegistry(Registrable): ...


@DatasetRegistry.register(DatasetType.PAIR_PREFERENCES)
class PairPreferenceDatasetTypeRegistry(Registrable): ...


@DatasetRegistry.register(DatasetType.CHAT)
class ChatDatasetTypeRegistry(Registrable): ...


@DatasetRegistry.register(DatasetType.SAMPLING)
class SamplingRMDatasetTypeRegistry(Registrable): ...
